Skip to main content
GET
/
insights
/
customers
Get customer metrics
curl --request GET \
  --url https://api.alguna.io/insights/customers \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "active_customer_count": 150,
  "active_customer_count_previous": 142,
  "churned_previous_period": 5,
  "churned_this_period": 3,
  "new_previous_period": 6,
  "new_this_period": 8,
  "reactivated_previous_period": 1,
  "reactivated_this_period": 2
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Response

Success

active_customer_count
integer<int64>
required

Number of currently active customers

Example:

150

active_customer_count_previous
integer<int64>
required

Number of active customers in the previous period

Example:

142

churned_previous_period
integer<int64>
required

Customers who churned in the previous period

Example:

5

churned_this_period
integer<int64>
required

Customers who churned in the current period

Example:

3

new_previous_period
integer<int64>
required

New customers in the previous period

Example:

6

new_this_period
integer<int64>
required

New customers in the current period

Example:

8

reactivated_previous_period
integer<int64>
required

Reactivated customers in the previous period

Example:

1

reactivated_this_period
integer<int64>
required

Reactivated customers in the current period

Example:

2